Bug 398121 - capiplugin.so uses non-existent libcapi20.so
capiplugin.so uses non-existent libcapi20.so
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-24 22:19 EST by Christian Krause
Modified: 2009-01-19 09:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-19 09:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Krause 2007-11-24 22:19:14 EST
Description of problem:
when using "plugin capiplugin" to access ISDN modems, pppd crashs:
Plugin userpass.so loaded.
userpass: $Revision: 1.5 $
Plugin capiplugin.so loaded.
capiplugin: $Revision: 1.36 $
capiconn:  1.13 
Couldn't load shared library libcapi20.so
libcapi20.so: cannot open shared object file: No such file or directory
Couldn't load shared library libcapi20.so
libcapi20.so: cannot open shared object file: No such file or directory
scripts/ppp-on: line 3:  2886 Segmentation fault   

Version-Release number of selected component (if applicable):
ppp: 2.4.4
isdn4k-utils: 3.2-54.fc7

How reproducible:

Steps to Reproduce:
1. configure a ppp peer with "plugin capiplugin.so"
2. start pppd

Actual results:
crash (see above)

Expected results:
no crash ;-)

Additional info:
The reason is a bug in isdn4k-utils package:

The capiplugin (/usr/lib/pppd/2.4.4/capiplugin.so from isdn4k-utils package)
tries to load libcapi20.so (most likely via dlopen). Unfortunately isdn4k-utils
does only include:
/usr/lib/libcapi20.so.3.0.4 .
The required libcap20.so file is only available in the isdn4k-utils-devel package.

So there is a workaround: just install the devel package. ;-)

A short-term solution could be to put the *.so link into the isdn4k-utils
package itself.

If it would be better to let the capiplugin.so dlopen the the libcapi20 using
the long name (libcap20.so.3) or something like this I'm not 100% sure.

I'm setting the severity to high because it is (from a high level point of view)
a crash/segfault.
Comment 1 Christian Krause 2007-12-30 13:36:19 EST
Any news regarding this issue? It looks like that the same problem is also in F8
and RAWHIDE. Is there anything I can do to help to fix the problem?

Comment 2 Christian Krause 2008-05-04 11:25:06 EDT
Unfortunately the problem is still in current RAWHIDE / upcoming F9. I'm setting
the version to RAWHIDE...
Comment 3 Bug Zapper 2008-05-13 23:59:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Ngo Than 2009-01-19 09:26:27 EST
it's fixed in isdn4k-utils-3_2-62_fc11.

Note You need to log in before you can comment on or make changes to this bug.